<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseDataList StructType
 * @subpackage Structs
 */
class CruiseDataList extends AbstractStructBase
{
    /**
     * The CruiseDataRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseDataRQ
     */
    public $CruiseDataRQ;
    /**
     * Constructor method for CruiseDataList
     * @uses CruiseDataList::setCruiseDataRQ()
     * @param \StructType\JP_CruiseDataRQ $cruiseDataRQ
     */
    public function __construct(\StructType\JP_CruiseDataRQ $cruiseDataRQ = null)
    {
        $this
            ->setCruiseDataRQ($cruiseDataRQ);
    }
    /**
     * Get CruiseDataRQ value
     * @return \StructType\JP_CruiseDataRQ|null
     */
    public function getCruiseDataRQ()
    {
        return $this->CruiseDataRQ;
    }
    /**
     * Set CruiseDataRQ value
     * @param \StructType\JP_CruiseDataRQ $cruiseDataRQ
     * @return \StructType\CruiseDataList
     */
    public function setCruiseDataRQ(\StructType\JP_CruiseDataRQ $cruiseDataRQ = null)
    {
        $this->CruiseDataRQ = $cruiseDataRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseDataList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
